Loading...
Searching...
No Matches
hexagon_dma_pool.h File Reference
`#include "HalideRuntime.h"`

Go to the source code of this file.

## Functions

WEAK void * | halide_hexagon_allocate_dma_resource (void *user_context)
WEAK void * | halide_hexagon_allocate_from_dma_pool (void *user_context, void *virtual_engine_id)
WEAK int | halide_hexagon_free_to_dma_pool (void *user_context, void *dma_engine, void *virtual_engine_id)
WEAK int | halide_hexagon_free_dma_resource (void *user_context, void *virtual_engine_id)
WEAK void * | halide_locked_cache_malloc (void *user_context, size_t size)
WEAK void | halide_locked_cache_free (void *user_context, void *ptr)
WEAK int | halide_hexagon_allocate_l2_pool (void *user_context)
WEAK int | halide_hexagon_free_l2_pool (void *user_context)

## Function Documentation

## halide_hexagon_allocate_dma_resource()

WEAK void * halide_hexagon_allocate_dma_resource | ( | void * | user_context | ) |

References WEAK.

## halide_hexagon_allocate_from_dma_pool()

WEAK void * halide_hexagon_allocate_from_dma_pool | ( | void * | user_context,
|  | void * | virtual_engine_id )

References WEAK.

## halide_hexagon_free_to_dma_pool()

WEAK int halide_hexagon_free_to_dma_pool | ( | void * | user_context,
|  | void * | dma_engine,
|  | void * | virtual_engine_id )

References WEAK.

## halide_hexagon_free_dma_resource()

WEAK int halide_hexagon_free_dma_resource | ( | void * | user_context,
|  | void * | virtual_engine_id )

References WEAK.

## halide_locked_cache_malloc()

WEAK void * halide_locked_cache_malloc | ( | void * | user_context,
|  | size_t | size )

References WEAK.

## halide_locked_cache_free()

WEAK void halide_locked_cache_free | ( | void * | user_context,
|  | void * | ptr )

References WEAK.

## halide_hexagon_allocate_l2_pool()

WEAK int halide_hexagon_allocate_l2_pool | ( | void * | user_context | ) |

References WEAK.

## halide_hexagon_free_l2_pool()

WEAK int halide_hexagon_free_l2_pool | ( | void * | user_context | ) |

References WEAK.